GET /contacts/v1/schemas/{schemaId}/attributeGroups

Overview 

Retrieves all attribute groups associated with a specified contact data schema.

URL Parameters 

NameTypeDescription
schemaIdstringRequiredThe ID of the schema

Usage 

Example Request

1Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
2GET /contacts/v1/schemas/36E001F0-6B8F-E311-A274-08EDB9DDEBF0/attributeGroups
3Content-Type: application/json
4Authorization: Bearer YOUR_ACCESS_TOKEN

Example Response

1200 (OK)
2{
3    "count": 2,
4    "page": 1,
5    "pageSize": 25,
6    "links": {
7        "self": {"href": "/schemas/{schemaId}/attributeGroups" },
8        "schema": {"href": "/schemas/{schemaId}" },
9    },
10    "items": [{
11        "links": {
12            "self": {"href": "/attributeGroups/{id}" }
13        },
14        "id": "4de15aca-2c17-e311-bb14-00237d5401ce",
15        "key": "com.exacttarget.mobilepush.ETMobilePush",
16        "name": "ExactTarget MobilePush",
17        "parentId": "36E001F0-6B8F-E311-A274-08EDB9DDEBF0"
18    },
19    {
20        "links": {
21            "self": {"href": "/attributeGroups/{id}" }
22        },
23        "id": "4de15aca-2c17-e311-bb14-00237d5401ce",
24        "key": "com.exacttarget.mobilepush.ETMobilePush",
25        "name": "ExactTarget MobilePush",
26        "parentId": "36E001F0-6B8F-E311-A274-08EDB9DDEBF0"
27    }]
28}

DID THIS ARTICLE SOLVE YOUR ISSUE?
Let us know so we can improve!